﻿$margin-moods: 15px;

.form-mood-container {
    display: flex;
    justify-content: center;

    .form-mood {
        width: auto;
    }
}

.random-movie-container {
    padding: 10px 20px 20px 20px;

    h3 {
        font-size: 1.2rem;
    }
}

.mood-panel {
    width: clamp(300px, 80vw, 600px);
    height: clamp(300px, 80vw, 600px);
    background-image: url("./assets/gif/emotion-circle-1.gif");
    background-position: center;
    background-size: 550px;
    background-repeat: no-repeat;
    background-color: black;
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 0 0 10px rgba(20,20,20,0.7);

    &:hover {
        .pointer {
            transform: scale(1.2) translate(-50%, -50%);
            background-color: $color-movie-orange;
            box-shadow: 0 0 10px 5px rgba(250,120,0,0.5);
        }
    }

    .pointer {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 25px;
        height: 25px;
        background-color: $color-movie-orange;
        border: 3px solid $color-white;
        border-radius: 50%;
        box-shadow: 0 0 5px rgba(250,120,0,0.5);
        transition: transform 200ms ease-in-out, background-color 300ms ease-in-out, box-shadow 200ms ease-in-out;
    }

    p {
        position: absolute;
        user-select: none;
        z-index: 1;
        color: $color-white;
        text-shadow: 2px 2px 2px rgba(20,20,20,0.5);
        border: 3px solid $color-white;
        border-radius: 5px;
        padding: 5px 10px;
        font-size: 1.1rem;
        background-color: $color-movie-dark;
        transition: border-color 200ms ease-in-out;

        &.closest {
            box-shadow: 0 0 10px 5px rgba(250,120,0,0.5);
            animation-name: closestMood;
            animation-duration: 2s;
            animation-timing-function: ease-in-out;
            animation-iteration-count: infinite;
            animation-direction: alternate;
        }
    }

    #heureux {
        left: 50%;
        transform: translateX(-50%);
        margin-top: $margin-moods;
    }

    #concentre {
        right: 0;
        margin: $margin-moods;
    }

    #detendu {
        top: 50%;
        right: 0;
        transform: translateY(-50%);
        margin-right: $margin-moods;
    }

    #fatigue {
        bottom: 0;
        right: 0;
        margin: $margin-moods;
    }

    #triste {
        bottom: 0;
        left: 50%;
        transform: translateX(-50%);
        margin-bottom: $margin-moods;
    }

    #fache {
        bottom: 0;
        left: 0;
        margin: $margin-moods;
    }

    #terrifie {
        top: 50%;
        transform: translateY(-50%);
        margin-left: $margin-moods;
    }

    #excite {
        margin: $margin-moods;
    }
}

@keyframes closestMood {
    from {
        background-color: $color-movie-dark;
    }
    to {
        background-color: $color-movie-orange;
    }
}

@media screen and (max-width: 500px) {
    .mood-panel {
        p {
            font-size: 0.9rem;
            padding: 5px;
        }
    }

}